xine-lib: Data Fields - Variables

xine-lib 1.2.13-20230125hg15249

Here is a list of all variables with links to the structures/unions they belong to:

### - u -

- u : x11osd, xcbosd, yuv_planes_s
- u32 : clut_union_t
- u_buffer : yuv2rgb_impl_s
- u_current : post_plugin_fftscope_s, post_plugin_oscope_s
- u_direction : post_plugin_fftscope_s, post_plugin_oscope_s
- ub : mmx_t
- ucode : em8300_microcode_t
- ucode_size : em8300_microcode_t
- ud : mmx_t
- ud_user_data : xv_driver_s
- udest : _INSTRUCTION_DATA
- uid : matroska_chapter_t, matroska_edition_t, matroska_track_s
- ultravox_first : demux_nsv_t
- ultravox_pos : demux_nsv_t
- ultravox_size : demux_nsv_t
- underlay : directfb_driver_s
- underline : cc_attribute_s
- underrun : jack_driver_s
- unhandled_video_streams : demux_ogg_s
- uniform : noise_param_t
- unique_test : xine_sarray_s
- unk1 : IHidden2_vt, rv_init_t
- unk2 : IHidden2_vt, rv_init_t
- unk3 : IHidden2_vt, rv_init_t
- unk5 : IHidden2_vt, rv_init_t
- unk7 : IHidden2_vt
- unk8 : IHidden2_vt
- unknown_value : cfg_entry_s, xine_cfg_entry_s
- unlock : vdpau_accel_t
- unlock_display : x11_visual_t, xshm_driver_t, xv_driver_s
- unlock_vaapi : vaapi_accel_funcs_s
- unode : _NODE_TYPE
- unregister_alloc_cb : fifo_buffer_s
- unregister_callback : config_values_s
- unregister_callbacks : config_values_s
- unregister_get_cb : fifo_buffer_s
- unregister_put_cb : fifo_buffer_s
- unregister_scr : metronom_clock_s
- unregister_speed_change_callback : metronom_clock_s
- unscaled : opengl2_overlay_t, sputext_decoder_s, vdpau_overlay_t, vo_overlay_s
- unscaled_list : opengl2_driver_s
- unset_new_entry_callback : config_values_s
- unsigned_intra : xxmc_driver_s
- until : xine_nbc_st
- unused1 : DPAnimChunk
- unused2 : DPAnimChunk
- unused3 : DPAnimChunk
- unused_pin : _CBaseFilter
- update : _PLUGIN_INFO
- update_csc : opengl2_driver_s
- update_frame_format : vo_driver_s, xine_hwdec_t
- update_message : _PLUGIN_INFO
- update_num : config_values_s
- update_string : config_values_s
- update_title : vcdplayer_s
- upper : GOOM_HASH_ENTRY
- upside_down : rgb_decoder_s
- uq : mmx_t
- uri : ftp_input_plugin_t, gnomevfs_input_t, xine_url_t
- url : http_input_plugin_t, mms_s, mmsh_s, nfs_input_plugin_t, pnm_s, reference_t
- usage_count : post_audio_port_s, post_video_port_s
- usage_lock : post_audio_port_s, post_video_port_s
- uscr : metronom_clock_private_t
- use_bad_frames : ff_video_decoder_s
- use_colorkey : xxmc_driver_s
- use_dirty_rect : vdpau_overlay_t
- use_doublebuffer : vidix_driver_s
- use_mmap : v4l_input_plugin_t
- use_panscan : dxr3_decoder_s
- use_pitch_alignment : xv_driver_s, xxmc_driver_s
- use_progressive_frame_flag : deinterlace_parameters_s, post_plugin_deinterlace_s
- use_proxy : http_input_plugin_t
- use_rtsc : sun_driver_s
- use_shm : xshm_driver_t, xv_driver_s, xxmc_driver_s
- use_tls : http_input_plugin_t
- use_unscaled : sputext_class_s
- use_wake_time : aos_t
- use_zero_copy : fb_driver_s
- used : _cfg_cb_relay_t, _xine_args_t, dvd_input_saved_buf_u, nal_buffer, vdec_hw_h264_frame_int_s, vdpau_h264_alter_decoder_t, xine_list_s, xine_mfrag_list_s, xine_stream_private_st
- used_entries : sparse_array_t
- used_for_long_term_ref : coded_picture
- used_last : faad_decoder_t
- used_list : _MemAllocator
- used_num_buffers : fb_driver_s
- used_stream : mpd_input_plugin_s
- user : xine_url_t
- user_agent : http_input_plugin_t, rtsp_s
- user_bandwidth : mmsh_s
- user_conf_version : dvd_input_class_t, dvd_input_plugin_s
- user_csc_matrix : vaapi_driver_s
- user_data : _PARAM, fb_visual_t, mpeg2_info_s, post_audio_port_s, post_in_s, post_out_s, post_video_port_s, raw_driver_t, raw_visual_t, vcdplayer_s, vdec_hw_h264_frame_t, vo_scale_s, x11_visual_t, xcb_visual_t, xine_event_queue_s, xine_wayland_visual_t, xshm_driver_t
- user_data_len : mpeg2_info_s, mpeg2dec_s
- user_frames : vdec_hw_h264_s
- user_get : xine_sarray_s
- user_lang4 : dvd_input_class_t, dvd_input_plugin_s
- user_play_single_chapter : dvd_input_class_t
- user_ratio : aa_driver_t, caca_driver_t, vdec_hw_h264_sequence_t, vo_scale_s
- user_read_ahead : dvd_input_class_t, dvd_input_plugin_s
- user_region : dvd_input_class_t, dvd_input_plugin_s
- user_seek_mode : dvd_input_class_t, dvd_input_plugin_s
- user_skip_mode : dvd_input_class_t
- user_start : mrlp_t
- user_stop : mrlp_t
- uses_time : demux_sputext_t
- usrc : _INSTRUCTION_DATA
- uv_stride : mpeg2_decoder_s, vos_grab_video_frame_s, yuv2rgb_impl_s
- uw : mmx_t